> For the complete documentation index, see [llms.txt](https://docs.solapayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solapayments.com/mobile-wallets/click-to-pay-hosted-checkout/click-to-pay-objects-reference-response.md).

# Click-To-Pay Objects Reference (Response)

### **Response objects**

***

#### ClickToPayResponse Object

| **Name**            | **Type**                                       | **Always exists** | **Description**                                                                    |
| ------------------- | ---------------------------------------------- | ----------------- | ---------------------------------------------------------------------------------- |
| `status`            | String                                         | Yes               | Contains all transaction data. For more details please click on the link           |
| `amount`            | Decimal                                        | Yes               | This is a response object that's returned by Google after a payer approves payment |
| `merchantRequestId` | String                                         | No                | This is a response object that's returned by Google after a payer approves payment |
| `merchantOrderId`   | String                                         | No                | This is a response object that's returned by Google after a payer approves payment |
| `payload`           | [ClickToPayPayload](#clicktopaypayload-object) | Yes               | This is a response object that's returned by Google after a payer approves payment |

***

#### ClickToPayPayload Object

| **Name**           | **Type** | **Always exists** | **Description**                                                                                                                           |
| ------------------ | -------- | ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `transactionId`    | String   | Yes               | A unique identifier for this payment                                                                                                      |
| `externalClientId` | String   | Yes               | Information about the card used in the transaction.                                                                                       |
| `encryptionKey`    | String   | Yes               | A unique identifier for this payment                                                                                                      |
| `token`            | String   | Yes               | An object containing the encrypted payment data. **This is the object that needs to be Base64 Encoded and sent to gateway as** `xCardNum` |

***

**ClickToPayResponse object example**

```json
{
  "status": "success",
  "amount": 6,
  "merchantRequestId": "Merchant defined request ID",
  "merchantOrderId": "Merchant defined order ID",
  "payload": {
    "transactionId": "1947120568389887601",
    "externalClientId": "test123",
    "encryptionKey": "Pqdjv842Nv...8q14l",
    "token": "FPA6TTy0q457.....tCf+tqH5/ruIQ1Iz4FI9hE5NBD+EM="
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.solapayments.com/mobile-wallets/click-to-pay-hosted-checkout/click-to-pay-objects-reference-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
